Bug 206485 - "starts with" subject filter affected by leading white space
"starts with" subject filter affected by leading white space
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-09-14 13:36 EDT by John Dennis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 12:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 343450 None None None Never

  None (edit)
Description John Dennis 2006-09-14 13:36:24 EDT
version: evolution-2.8.0-1.fc6

The "starts with" subject filter does not match the initial string as presented
to the user in the subject line. 

I looked at the raw message source and observed that Subject header line was:

Subject: foo

but if you set the subject starts with filter to "foo" it fails to match, but if
you set it to " foo" it matches. It appears some part of the code is stripping
leading whitespace and others are not.

Although RFC 822 would say the leading white space after the field-name and
colon is technically part of the subject field body common sense and user
expectation would say leading white space does not count when matching the
beginning of a subject. The leading white space should be stripped (or ignored)
either when performing a "starts with" match.
Comment 1 Matthew Barnes 2007-01-02 12:11:57 EST
Verified on Fedora Core 6 as well as Rawhide.

It works fine for search folders.  I have countless search folders for
particular bugs that are configured as:

   Subject  Starts With  "[Bug xxxxxx]"

Strange that Evolution would not be using the same mechanism for evaluating
filter rules and search folder rules.

Closing as UPSTREAM since an equivalent bug report exists upstream.  I will
continue to track the problem there.  Please refer to [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=343450

Note You need to log in before you can comment on or make changes to this bug.